GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Functions
pollset_kick_posix.h File Reference
`#include "src/core/iomgr/wakeup_fd_posix.h"`
`#include <grpc/support/sync.h>`

Go to the source code of this file.

## Data Structures
struct | grpc_kick_fd_info
struct | grpc_pollset_kick_state

## Macros
#define | GRPC_POLLSET_KICK_GET_FD(kick_fd_info) GRPC_WAKEUP_FD_GET_READ_FD(&(kick_fd_info)->wakeup_fd)

## Typedefs
typedef struct grpc_kick_fd_info | grpc_kick_fd_info
typedef struct grpc_pollset_kick_state | grpc_pollset_kick_state

## Functions
void | grpc_pollset_kick_global_init (void)
void | grpc_pollset_kick_global_destroy (void)
void | grpc_pollset_kick_init (grpc_pollset_kick_state *kick_state)
void | grpc_pollset_kick_destroy (grpc_pollset_kick_state *kick_state)
void | grpc_pollset_kick_global_init_fallback_fd (void)
grpc_kick_fd_info * | grpc_pollset_kick_pre_poll (grpc_pollset_kick_state *kick_state)
void | grpc_pollset_kick_consume (grpc_pollset_kick_state *kick_state, grpc_kick_fd_info *fd_info)
void | grpc_pollset_kick_post_poll (grpc_pollset_kick_state *kick_state, grpc_kick_fd_info *fd_info)
void | grpc_pollset_kick_kick (grpc_pollset_kick_state *kick_state)

## Macro Definition Documentation

#define GRPC_POLLSET_KICK_GET_FD | ( |  | kick_fd_info | ) | GRPC_WAKEUP_FD_GET_READ_FD(&(kick_fd_info)->wakeup_fd)

## Typedef Documentation

typedef struct grpc_kick_fd_info grpc_kick_fd_info

typedef struct grpc_pollset_kick_state grpc_pollset_kick_state

## Function Documentation

void grpc_pollset_kick_consume | ( | grpc_pollset_kick_state * | kick_state,
|  | grpc_kick_fd_info * | fd_info
| ) |  |

void grpc_pollset_kick_destroy | ( | grpc_pollset_kick_state * | kick_state | ) |

void grpc_pollset_kick_global_destroy | ( | void |  | ) |

void grpc_pollset_kick_global_init | ( | void |  | ) |

void grpc_pollset_kick_global_init_fallback_fd | ( | void |  | ) |

void grpc_pollset_kick_init | ( | grpc_pollset_kick_state * | kick_state | ) |

void grpc_pollset_kick_kick | ( | grpc_pollset_kick_state * | kick_state | ) |

void grpc_pollset_kick_post_poll | ( | grpc_pollset_kick_state * | kick_state,
|  | grpc_kick_fd_info * | fd_info
| ) |  |

grpc_kick_fd_info* grpc_pollset_kick_pre_poll | ( | grpc_pollset_kick_state * | kick_state | ) |